Subject: Re: python-tests: python-oslosphinx fixed. Please evaluate.

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 21 Feb 2017 08:50:03 +0100

Leo Famulari <[email-masked]> writes:

> On Mon, Feb 20, 2017 at 12:00:21AM +0100, Marius Bakke wrote:
>> Danny Milosavljevic <[email-masked]> writes:
>> > @Leo: Can you please start a new evaluation of python-tests?
>> 
>> I pushed some other fixes recently and built most of `guix package -A
>> python`, so I think we're ready for a new evaluation. I suggest we do a
>> new evaluation on 'master' after fixing the most critical packages so we
>> can include this in 'core-updates'. How does that sound?
>
> I just started a new evaluation of the branch.
>
>> These packages are known to fail still:
>> 
>> python-dendropy
>> python2-fastlmm
>> python2-bandit
>> python-openid
>> python-axolotl
>> 
>> + Many of the python2 variants of the openstack family libraries (oslo
>> etc), which seems to have a unittest2 version mismatch. Should be
>> easy to fix, but let's get some substitutes first :-)
>
> I think we should set '#:tests? #f' in these packages and build and
> merge the branch.
>
> If these remaining test suite failures indicate that the packages are
> broken, they will be equally broken with the test suites disabled. But
> overall we will benefit from fixing this bug in python-build-system.

I agree.

Only two tests (out of 820) for python-dendropy fail:

+ test_fixed_species_tree_fitting (dendropy.test.test_multispeciescoalescent.MultispeciesCoalescentBasicTestCase)
+ test1 (dendropy.test.test_multispeciescoalescent.MultispeciesCoalescentFixedSingleTreesCalculationTestCase)

Both fail with

    TypeError: unorderable types: Edge() < Edge()

I think it’s worth building the package anyway after disabling these two
tests.  I reported the test failures upstream:

    https://github.com/jeetsukumaran/DendroPy/issues/77

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net